/* Get all compilers to agree on use of manifest preprocessor constants */

#if !defined(_COMPILER_H)
#define _COMPILER_H

#if defined(__BORLANDC__) && defined(__OS2__)
#   define __32BIT__	1
#   define _M_386		1
#   if defined(__MULTI__)
#	define __MT__		1
#   endif
#   define beginthread(proc,size,arg) _beginthread(proc,size,arg)
#   define threadid (_threadid)
#else
#   define beginthread(proc,size,arg) _beginthread(proc,NULL,size,arg)
#   define threadid (*_threadid)
#endif

#if defined(__IBMC__) && defined(__OS2__)
#if defined(__MT__)
#	define __MULTI__	1
#endif
#endif

#if defined(__32BIT__)
#define _FAR_
#endif

/* handy way to suppress "parameter not used" warning */
#define ParameterNotUsed(param) (void)param

#endif	//!defined(_COMPILER_H)

